function [v,v_rev] = extractFeatureVectors( H,w1,h1,w2,h2,shape,n_bins,x1s,y1s,a1s,b1s,c1s,x2s,y2s,a2s,b2s,c2s )
%EXTRACTFEATUREVECTORS Matlab wrapper for extract_feature_vectormx.cpp
%Inputs
%   H:      3-by-3 homography matrix mapping from image2 to image1
%   w1:     width of image1
%   h1:     height of image1
%   w2:     width of image2
%   h2:     height of image2
%   shape:  defines the distance shape. 'dist_2border' or 'dist_2imgcent'.
%   n_bins: defines number of histogram bins.
%   x1s,y1s,a1s,b1s,c1s:    defines the inliers' locations (x,y) and
%                           elliptic regions (a,b,c) of image1.
%   x2s,y2s,a2s,b2s,c2s:    same for image2


[v,v_rev] = extractFeatureVectorsmx(...
    double(H),w1,h1,w2,h2,...
    shape,n_bins,...
    double(x1s),double(y1s),double(a1s),double(b1s),double(c1s),...
    double(x2s),double(y2s),double(a2s),double(b2s),double(c2s)... 
    );

end

